package com.dsic.gj_erp;

import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.text.PDFTextStripper;
import org.springframework.boot.SpringApplication;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.time.LocalDate;
import java.time.Period;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Test {
    public static void main(String[] args) throws IOException {
        String pdfFilePath = "E:/runpeng/1润芃工作日志/第21个月/第3周/钢加项目资料/小池/新建文件夹/G175K-3/G175K-3_81_20240401/PDF/B081HC103HN第81批数控套料图.pdf"; // PDF文件路径
//        String pdfFilePath = "E:/runpeng/1润芃工作日志/第21个月/第3周/钢加项目资料/小池/B046HC103HN第046批量数控套料图2023-05-11.pdf"; // PDF文件路径
        PDDocument document = PDDocument.load(new File(pdfFilePath));
        PDFTextStripper stripper = new PDFTextStripper();
        stripper.setStartPage(72);
        stripper.setEndPage(72);
        String text = stripper.getText(document);//本页文字内容
//        String tlth[]=s.split("序号零件编号")[1].split(" ");
//        String dcCh=tlth[2].split("\r\n")[1];
//        String pl=tlth[3];
//        String th=tlth[6].substring(0,12);
//        String thbh=tlth[5];

//        String tlth1[]=text.split("序号零件编号")[1].split("\r\n");
//        Double hxcd=new Double(tlth1[2]);
//        Double qgcd=new Double(tlth1[3]);
//        Double hxkc=new Double(tlth1[4]);
//        Double qgkc=new Double(tlth1[5]);
        String tlth1[]=text.split("DNV\\+CCS")[1].split("\r\n");
        Double ljzl=new Double(tlth1[1]);
        System.out.println(ljzl);
//        System.out.println(dcCh);
//        System.out.println(pl);
//        System.out.println(th);
//        System.out.println(thbh);
//        System.out.println(hxcd+"/"+qgcd+"/"+hxkc+"/"+qgkc);
//        String[] a=text.split("\r\n");
//        int ljCount=  text.split("\\|")[0].split("\r\n").length;//零件数量
        //取用下标count 至 count*2-1的数组，为属性
//        String[] sxArray=getArrayByIndex(a,ljCount-1,ljCount*2-2);

        //取用下标count*2 至 count*3-1 的数组，为零件号
//        String[] ljArray=getArrayByIndex(a,ljCount*2-2,ljCount*3-3);
//        for (int i = 0; i < sxArray.length; i++) {
//            if (i==0){
//               String[] b= ljArray[i].split("\\|");
//                System.out.println(b[b.length-1]);
//                System.out.println(sxArray[i].split("\\|")[4]);
//            }else {
//                System.out.println(ljArray[i]);
//                System.out.println(sxArray[i].split("\\|")[4]);
//            }
//        }
        document.close();

        // 输出提取的文本到控制台

        // 可以选择将文本写入文件
        String outputPath = "C:/Users/91564/Desktop/B046HC103HN第046批量数控套料图2023-05-11.txt"; // 输出文本文件路径
        Files.write(Paths.get(outputPath), text.getBytes());
    }
    public static String[] getArrayByIndex(String[] oldArray,int startIndex,int endIndex){
        int newArraylen=endIndex-startIndex+1;
        String[] array=new String[newArraylen];
        for (int i = 0; i < newArraylen; i++) {
            array[i]=oldArray[i+startIndex];
        }
        return array;
    }

}
